Introducing OpenTelemetry for Chargebee SDKs — trace every API call in any telemetry tool.
Chargebeechargebee API

Activate a portal session

When an user is sent back to your return URL with session details, you should validate that information by calling this API. The details passed to the return_url should be sent as below:

  • auth_session_id - this should be sent as part of the endpoint.
  • auth_session_token - this should be sent as value for the input parameter token.

Note: This API is not applicable for in-app portal.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/portal_sessions/{portal-session-id}/activate

Input Parameters

token
required, string, max chars=70

Unique pre-authenticated portal session token to access customer portal directly.

Returns

Portal session object

Resource object representing portal_session